Package Details: lib32-sdl2-compat-git r561.cddd4fa-1

Git Clone URL: https://aur.archlinux.org/lib32-sdl2-compat-git.git (read-only, click to copy)
Package Base: lib32-sdl2-compat-git
Description: SDL2 runtime compatibility library using SDL3
Upstream URL: https://github.com/libsdl-org/sdl2-compat
Licenses: MIT
Conflicts: lib32-sdl2
Provides: lib32-sdl2
Submitter: HurricanePootis
Maintainer: HurricanePootis
Last Packager: HurricanePootis
Votes: 0
Popularity: 0.000000
First Submitted: 2024-04-10 03:20 (UTC)
Last Updated: 2024-05-22 22:53 (UTC)

Dependencies (5)

Required by (74)

Sources (1)

Latest Comments

HurricanePootis commented on 2024-05-22 22:42 (UTC)

@FabioLolix,

I will add git as a dependency, I will remove replace, but as far as I can tell, the cmake build process can find lib32-sdl3 by reading the SDL3_DIR cmake variable, which points to (for me), /usr/lib32/cmake/SDL3

FabioLolix commented on 2024-04-10 19:59 (UTC)

Hello,

  • git is missing as makedepends
  • please don't use replace in this case, lib32-sdl2 isn't renamed or really deprecated
  • this want sdl3 instead of lib32-sdl3, tested with devtools and local repo
- Configuring done (1.9s)
CMake Error in CMakeLists.txt:
  Imported target "SDL3::Headers" includes non-existent path

    "/usr/include/SDL3"

  in its INTERFACE_INCLUDE_DIRECTORIES.  Possible reasons include:

  * The path was deleted, renamed, or moved to another location.

  * An install or uninstall procedure did not complete successfully.

  * The installation package was faulty and references files it does not
  provide.



-- Generating done (0.0s)
CMake Generate step failed.  Build files cannot be regenerated correctly.
==> ERROR: A failure occurred in build().